#
# spec file for package python-spyder-kernels
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-spyder-kernels
Version:        0.2.6
Release:        2.1
Summary:        Jupyter kernels for Spyder's console
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/spyder-ide/spyder-kernels
Source:         https://files.pythonhosted.org/packages/source/s/spyder-kernels/spyder-kernels-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module cloudpickle}
BuildRequires:  %{python_module jupyter_client >= 5.2.3}
BuildRequires:  %{python_module jupyter_ipykernel >= 4.8.2}
BuildRequires:  %{python_module pandas}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pyzmq >= 17}
BuildRequires:  python-futures
# /SECTION
Requires:       python-cloudpickle
Requires:       python-jupyter_client >= 5.2.3
Requires:       python-jupyter_ipykernel >= 4.8.2
Requires:       python-pyzmq >= 17
%ifpython2
Requires:       python-futures
%endif
BuildArch:      noarch

%python_subpackages

%description
Spyder, the Scientific Python Development Environment, is an
IDE for researchers, engineers and data analysts.

This package provides Jupyter kernels for use with the consoles
of Spyder. These can launched either through Spyder itself or
in an independent Python session, and allow for interactive or
file-based execution of Python code in different environments,
all inside the IDE.

%prep
%setup -q -n spyder-kernels-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
rm -rf _build.python*
rm -rf build
%python_expand pytest-%{$python_bin_suffix}

%files %{python_files}
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Sep 11 2018 sebix+novell.com@sebix.at
- downgrade to version 0.2.6 (boo#1105801).
* Thu Aug 16 2018 jengelh@inai.de
- Trim redundancies from description.
* Mon Aug 13 2018 toddrme2178@gmail.com
- Initial version
